_systemInit:
;RGBDriver_main.mbas,11 :: 		sub procedure systemInit()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;RGBDriver_main.mbas,13 :: 		Start_TP()
BL	_Start_TP+0
;RGBDriver_main.mbas,14 :: 		mikrobus_i2cInit(_MIKROBUS1, @_RGBDRIVER_I2C_CFG[0])
MOVW	R1, #lo_addr(__RGBDRIVER_I2C_CFG+0)
MOVT	R1, #hi_addr(__RGBDRIVER_I2C_CFG+0)
MOVS	R0, #0
BL	_mikrobus_i2cInit+0
;RGBDriver_main.mbas,15 :: 		redColor = 0x6F
MOVS	R1, #111
MOVW	R0, #lo_addr(_redColor+0)
MOVT	R0, #hi_addr(_redColor+0)
STRB	R1, [R0, #0]
;RGBDriver_main.mbas,16 :: 		greenColor = 0x8F
MOVS	R1, #143
MOVW	R0, #lo_addr(_greenColor+0)
MOVT	R0, #hi_addr(_greenColor+0)
STRB	R1, [R0, #0]
;RGBDriver_main.mbas,17 :: 		blueColor = 0x4F
MOVS	R1, #79
MOVW	R0, #lo_addr(_blueColor+0)
MOVT	R0, #hi_addr(_blueColor+0)
STRB	R1, [R0, #0]
;RGBDriver_main.mbas,18 :: 		Delay_ms(100)
MOVW	R7, #20351
MOVT	R7, #18
NOP
NOP
L__systemInit1:
SUBS	R7, R7, #1
BNE	L__systemInit1
NOP
NOP
NOP
;RGBDriver_main.mbas,20 :: 		end sub
L_end_systemInit:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _systemInit
_applicationInit:
;RGBDriver_main.mbas,22 :: 		sub procedure applicationInit()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;RGBDriver_main.mbas,24 :: 		rgbdriver_i2cDriverInit(T_RGBDRIVER_P(@_MIKROBUS1_GPIO), T_RGBDRIVER_P(@_MIKROBUS1_I2C), 0x38)
MOVS	R2, #56
MOVW	R1, #lo_addr(__MIKROBUS1_I2C+0)
MOVT	R1, #hi_addr(__MIKROBUS1_I2C+0)
MOVW	R0, #lo_addr(__MIKROBUS1_GPIO+0)
MOVT	R0, #hi_addr(__MIKROBUS1_GPIO+0)
BL	_rgbdriver_i2cDriverInit+0
;RGBDriver_main.mbas,25 :: 		rgbdriver_setIntensity((_RGBDRIVER_CONSTANT or _RGBDRIVER_INTENSITY_16))
MOVS	R0, #48
BL	_rgbdriver_setIntensity+0
;RGBDriver_main.mbas,27 :: 		end sub
L_end_applicationInit:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _applicationInit
_applicationTask:
;RGBDriver_main.mbas,29 :: 		sub procedure applicationTask()
SUB	SP, SP, #8
STR	LR, [SP, #0]
;RGBDriver_main.mbas,31 :: 		rgbdriver_setRGB_Color(redColor, greenColor, blueColor)
MOVW	R0, #lo_addr(_redColor+0)
MOVT	R0, #hi_addr(_redColor+0)
LDRB	R2, [R0, #0]
MOVW	R0, #lo_addr(_greenColor+0)
MOVT	R0, #hi_addr(_greenColor+0)
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_blueColor+0)
MOVT	R0, #hi_addr(_blueColor+0)
LDRB	R0, [R0, #0]
STRB	R2, [SP, #4]
UXTB	R2, R0
LDRB	R0, [SP, #4]
BL	_rgbdriver_setRGB_Color+0
;RGBDriver_main.mbas,32 :: 		Check_TP()
BL	_Check_TP+0
;RGBDriver_main.mbas,34 :: 		end sub
L_end_applicationTask:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _applicationTask
_main:
;RGBDriver_main.mbas,36 :: 		main :
;RGBDriver_main.mbas,38 :: 		systemInit()
BL	_systemInit+0
;RGBDriver_main.mbas,39 :: 		applicationInit()
BL	_applicationInit+0
;RGBDriver_main.mbas,40 :: 		while (1)
L__main7:
;RGBDriver_main.mbas,41 :: 		applicationTask()
BL	_applicationTask+0
;RGBDriver_main.mbas,42 :: 		wend
IT	AL
BAL	L__main7
L_end_main:
L__main_end_loop:
B	L__main_end_loop
; end of _main
