#line 1 "C:/Users/katarina.perendic/Desktop/RGBDriver_System/RGBDriver_demo_main.c"
#line 1 "c:/users/katarina.perendic/desktop/rgbdriver_system/rgbdriver_demo_objects.h"
typedef enum {_pbsClearSector, _pbsFillSector} TProgressBarSector;

typedef enum {_taLeft, _taCenter, _taRight} TTextAlign;
typedef enum {_tavTop, _tavMiddle, _tavBottom} TTextAlignVertical;

typedef struct Screen TScreen;

typedef struct Button {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 TTextAlignVertical TextAlignVertical;
 const char *FontName;
 unsigned int Font_Color;
 char VerticalText;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TButton;

typedef struct Label {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char VerticalText;
 char Visible;
 char Active;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TLabel;

typedef struct ProgressBar {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Transparent;
 char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 unsigned int Background_Color;
 unsigned int Min;
 unsigned int Max;
 unsigned int Position;
 unsigned int Prev_Position;
 char Show_Position;
 char Show_Percentage;
 char Smooth;
 char Rounded;
 char Corner_Radius;
} TProgressBar;

struct Screen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned int ObjectsCount;
 unsigned int ButtonsCount;
 TButton * const code *Buttons;
 unsigned int LabelsCount;
 TLabel * const code *Labels;
 unsigned int ProgressBarsCount;
 TProgressBar * const code *ProgressBars;
};

extern TScreen Screen1;
extern TProgressBar ProgressBar1;
extern TProgressBar ProgressBar2;
extern TProgressBar ProgressBar3;
extern TLabel Label1;
extern TButton Button1;
extern TButton Button2;
extern TButton Button3;
extern TButton Button4;
extern TButton Button5;
extern TButton Button6;
extern TButton Button7;
extern TButton Button8;
extern TButton Button9;
extern TButton Button10;
extern TButton Button11;
extern TButton Button12;
extern TButton Button13;
extern TButton Button14;
extern TButton Button15;
extern TButton Button16;
extern TButton Button17;
extern TButton Button18;
extern TButton Button19;
extern TButton Button20;
extern TButton Button21;
extern TButton Button22;
extern TButton Button23;
extern TButton Button24;
extern TButton Button25;
extern TButton Button26;
extern TButton Button27;
extern TButton Button28;
extern TButton Button29;
extern TButton Button30;
extern TButton Button31;
extern TButton Button32;
extern TButton Button33;
extern TButton * const code Screen1_Buttons[33];
extern TLabel * const code Screen1_Labels[1];
extern TProgressBar * const code Screen1_ProgressBars[3];




void Button10OnPress();
void Button11OnPress();
void Button12OnPress();
void Button13OnPress();
void Button14OnPress();
void Button15OnPress();
void Button16OnPress();
void Button17OnPress();
void Button18OnPress();
void Button19OnPress();
void Button1OnPress();
void Button20OnPress();
void Button21OnPress();
void Button22OnPress();
void Button23OnPress();
void Button24OnPress();
void Button25OnPress();
void Button26OnPress();
void Button27OnPress();
void Button28OnPress();
void Button29OnPress();
void Button2OnPress();
void Button30OnPress();
void Button31OnPress();
void Button32OnPress();
void Button33OnPress();
void Button3OnPress();
void Button4OnPress();
void Button5OnPress();
void Button6OnPress();
void Button7OnPress();
void Button8OnPress();
void Button9OnPress();




extern char ProgressBar1_Caption[];
extern char ProgressBar2_Caption[];
extern char ProgressBar3_Caption[];
extern char Label1_Caption[];
extern char Button1_Caption[];
extern char Button2_Caption[];
extern char Button3_Caption[];
extern char Button4_Caption[];
extern char Button5_Caption[];
extern char Button6_Caption[];
extern char Button7_Caption[];
extern char Button8_Caption[];
extern char Button9_Caption[];
extern char Button10_Caption[];
extern char Button11_Caption[];
extern char Button12_Caption[];
extern char Button13_Caption[];
extern char Button14_Caption[];
extern char Button15_Caption[];
extern char Button16_Caption[];
extern char Button17_Caption[];
extern char Button18_Caption[];
extern char Button19_Caption[];
extern char Button20_Caption[];
extern char Button21_Caption[];
extern char Button22_Caption[];
extern char Button23_Caption[];
extern char Button24_Caption[];
extern char Button25_Caption[];
extern char Button26_Caption[];
extern char Button27_Caption[];
extern char Button28_Caption[];
extern char Button29_Caption[];
extern char Button30_Caption[];
extern char Button31_Caption[];
extern char Button32_Caption[];
extern char Button33_Caption[];


void DrawScreen(TScreen *aScreen);
void DrawButton(TButton *aButton);
void DrawLabel(TLabel *ALabel);
void DrawProgressBar(TProgressBar *AProgressBar);
void UpdatePBPosition(TProgressBar *AProgressBar);
void Check_TP();
void Start_TP();
void Process_TP_Press(unsigned int X, unsigned int Y);
void Process_TP_Up(unsigned int X, unsigned int Y);
void Process_TP_Down(unsigned int X, unsigned int Y);
#line 1 "c:/users/katarina.perendic/desktop/rgbdriver_system/demo_types.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"





typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 1 "c:/users/katarina.perendic/desktop/rgbdriver_system/demo_config.h"
#line 1 "c:/users/katarina.perendic/desktop/rgbdriver_system/demo_types.h"
#line 3 "c:/users/katarina.perendic/desktop/rgbdriver_system/demo_config.h"
const uint32_t _RGBDRIVER_I2C_CFG[ 1 ] =
{
 100000
};
#line 5 "C:/Users/katarina.perendic/Desktop/RGBDriver_System/RGBDriver_demo_main.c"
extern uint8_t redColor;
extern uint8_t blueColor;
extern uint8_t greenColor;

void systemInit()
{
 Start_TP();
 mikrobus_i2cInit( _MIKROBUS1, &_RGBDRIVER_I2C_CFG[0] );
 Delay_ms( 100 );
}

void applicationInit()
{
 rgbdriver_i2cDriverInit( ( const uint8_t* )&_MIKROBUS1_GPIO, ( const uint8_t* )&_MIKROBUS1_I2C, 0x38 );
 rgbdriver_setIntensity(_RGBDRIVER_CONSTANT | _RGBDRIVER_INTENSITY_16);
}

void applicationTask()
{
 rgbdriver_setRGB_Color(redColor, greenColor, blueColor);
 Check_TP();
}

void main()
{
 systemInit();
 applicationInit();

 while (1)
 {
 applicationTask();
 }
}
