#line 1 "C:/Users/katarina.perendic/Desktop/RGBDriver_System/RGBDriver_demo_events_code.c"
#line 1 "c:/users/katarina.perendic/desktop/rgbdriver_system/rgbdriver_demo_objects.h"
typedef enum {_pbsClearSector, _pbsFillSector} TProgressBarSector;

typedef enum {_taLeft, _taCenter, _taRight} TTextAlign;
typedef enum {_tavTop, _tavMiddle, _tavBottom} TTextAlignVertical;

typedef struct Screen TScreen;

typedef struct Button {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 TTextAlignVertical TextAlignVertical;
 const char *FontName;
 unsigned int Font_Color;
 char VerticalText;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TButton;

typedef struct Label {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char VerticalText;
 char Visible;
 char Active;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TLabel;

typedef struct ProgressBar {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Transparent;
 char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 unsigned int Background_Color;
 unsigned int Min;
 unsigned int Max;
 unsigned int Position;
 unsigned int Prev_Position;
 char Show_Position;
 char Show_Percentage;
 char Smooth;
 char Rounded;
 char Corner_Radius;
} TProgressBar;

struct Screen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned int ObjectsCount;
 unsigned int ButtonsCount;
 TButton * const code *Buttons;
 unsigned int LabelsCount;
 TLabel * const code *Labels;
 unsigned int ProgressBarsCount;
 TProgressBar * const code *ProgressBars;
};

extern TScreen Screen1;
extern TProgressBar ProgressBar1;
extern TProgressBar ProgressBar2;
extern TProgressBar ProgressBar3;
extern TLabel Label1;
extern TButton Button1;
extern TButton Button2;
extern TButton Button3;
extern TButton Button4;
extern TButton Button5;
extern TButton Button6;
extern TButton Button7;
extern TButton Button8;
extern TButton Button9;
extern TButton Button10;
extern TButton Button11;
extern TButton Button12;
extern TButton Button13;
extern TButton Button14;
extern TButton Button15;
extern TButton Button16;
extern TButton Button17;
extern TButton Button18;
extern TButton Button19;
extern TButton Button20;
extern TButton Button21;
extern TButton Button22;
extern TButton Button23;
extern TButton Button24;
extern TButton Button25;
extern TButton Button26;
extern TButton Button27;
extern TButton Button28;
extern TButton Button29;
extern TButton Button30;
extern TButton Button31;
extern TButton Button32;
extern TButton Button33;
extern TButton * const code Screen1_Buttons[33];
extern TLabel * const code Screen1_Labels[1];
extern TProgressBar * const code Screen1_ProgressBars[3];




void Button10OnPress();
void Button11OnPress();
void Button12OnPress();
void Button13OnPress();
void Button14OnPress();
void Button15OnPress();
void Button16OnPress();
void Button17OnPress();
void Button18OnPress();
void Button19OnPress();
void Button1OnPress();
void Button20OnPress();
void Button21OnPress();
void Button22OnPress();
void Button23OnPress();
void Button24OnPress();
void Button25OnPress();
void Button26OnPress();
void Button27OnPress();
void Button28OnPress();
void Button29OnPress();
void Button2OnPress();
void Button30OnPress();
void Button31OnPress();
void Button32OnPress();
void Button33OnPress();
void Button3OnPress();
void Button4OnPress();
void Button5OnPress();
void Button6OnPress();
void Button7OnPress();
void Button8OnPress();
void Button9OnPress();




extern char ProgressBar1_Caption[];
extern char ProgressBar2_Caption[];
extern char ProgressBar3_Caption[];
extern char Label1_Caption[];
extern char Button1_Caption[];
extern char Button2_Caption[];
extern char Button3_Caption[];
extern char Button4_Caption[];
extern char Button5_Caption[];
extern char Button6_Caption[];
extern char Button7_Caption[];
extern char Button8_Caption[];
extern char Button9_Caption[];
extern char Button10_Caption[];
extern char Button11_Caption[];
extern char Button12_Caption[];
extern char Button13_Caption[];
extern char Button14_Caption[];
extern char Button15_Caption[];
extern char Button16_Caption[];
extern char Button17_Caption[];
extern char Button18_Caption[];
extern char Button19_Caption[];
extern char Button20_Caption[];
extern char Button21_Caption[];
extern char Button22_Caption[];
extern char Button23_Caption[];
extern char Button24_Caption[];
extern char Button25_Caption[];
extern char Button26_Caption[];
extern char Button27_Caption[];
extern char Button28_Caption[];
extern char Button29_Caption[];
extern char Button30_Caption[];
extern char Button31_Caption[];
extern char Button32_Caption[];
extern char Button33_Caption[];


void DrawScreen(TScreen *aScreen);
void DrawButton(TButton *aButton);
void DrawLabel(TLabel *ALabel);
void DrawProgressBar(TProgressBar *AProgressBar);
void UpdatePBPosition(TProgressBar *AProgressBar);
void Check_TP();
void Start_TP();
void Process_TP_Press(unsigned int X, unsigned int Y);
void Process_TP_Up(unsigned int X, unsigned int Y);
void Process_TP_Down(unsigned int X, unsigned int Y);
#line 1 "c:/users/katarina.perendic/desktop/rgbdriver_system/rgbdriver_demo_resources.h"
const code char Source_Sans_Pro_Semibold16x24_Bold[];
const code char Source_Sans_Pro_Semibold35x50_Regular[];
const code char Tahoma11x13_Regular[];
#line 1 "c:/users/katarina.perendic/desktop/rgbdriver_system/demo_types.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"





typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 6 "C:/Users/katarina.perendic/Desktop/RGBDriver_System/RGBDriver_demo_events_code.c"
uint8_t redColor = 0x6F;
uint8_t blueColor = 0x4F;
uint8_t greenColor = 0x8F;



void Button1OnPress() {
 blueColor = 0x40;
 ProgressBar1.Position = 0;
 strcpy(ProgressBar1_Caption,"00\%");
 DrawProgressBar(&ProgressBar1);
}
void Button2OnPress() {
 blueColor = 0x43;
 ProgressBar1.Position = 10;
 strcpy(ProgressBar1_Caption,"10\%");
 DrawProgressBar(&ProgressBar1);
}
void Button3OnPress() {
 blueColor = 0x46;
 ProgressBar1.Position = 20;
 strcpy(ProgressBar1_Caption,"20\%");
 DrawProgressBar(&ProgressBar1);
}
void Button4OnPress() {
 blueColor = 0x49;
 ProgressBar1.Position = 30;
 strcpy(ProgressBar1_Caption,"30\%");
 DrawProgressBar(&ProgressBar1);
}
void Button5OnPress() {
 blueColor = 0x4C;
 ProgressBar1.Position = 40;
 strcpy(ProgressBar1_Caption,"40\%");
 DrawProgressBar(&ProgressBar1);
}
void Button6OnPress() {
 blueColor = 0x4F;
 ProgressBar1.Position = 50;
 strcpy(ProgressBar1_Caption,"50\%");
 DrawProgressBar(&ProgressBar1);
}
void Button7OnPress() {
 blueColor = 0x52;
 ProgressBar1.Position = 60;
 strcpy(ProgressBar1_Caption,"60\%");
 DrawProgressBar(&ProgressBar1);
}
void Button8OnPress() {
 blueColor = 0x55;
 ProgressBar1.Position = 70;
 strcpy(ProgressBar1_Caption,"70\%");
 DrawProgressBar(&ProgressBar1);
}
void Button9OnPress() {
 blueColor = 0x59;
 ProgressBar1.Position = 80;
 strcpy(ProgressBar1_Caption,"80\%");
 DrawProgressBar(&ProgressBar1);
}
void Button10OnPress() {
 blueColor = 0x5C;
 ProgressBar1.Position = 90;
 strcpy(ProgressBar1_Caption,"90\%");
 DrawProgressBar(&ProgressBar1);
}
void Button11OnPress() {
 blueColor = 0x5F;
 ProgressBar1.Position = 100;
 strcpy(ProgressBar1_Caption,"100\%");
 DrawProgressBar(&ProgressBar1);
}
void Button12OnPress() {
 greenColor = 0x80;
 ProgressBar2.Position = 0;
 strcpy(ProgressBar2_Caption,"00\%");
 DrawProgressBar(&ProgressBar2);
}
void Button13OnPress() {
 greenColor = 0x83;
 ProgressBar2.Position = 10;
 strcpy(ProgressBar2_Caption,"10\%");
 DrawProgressBar(&ProgressBar2);
}
void Button14OnPress() {
 greenColor = 0x86;
 ProgressBar2.Position = 20;
 strcpy(ProgressBar2_Caption,"20\%");
 DrawProgressBar(&ProgressBar2);
}
void Button15OnPress() {
 greenColor = 0x89;
 ProgressBar2.Position = 30;
 strcpy(ProgressBar2_Caption,"30\%");
 DrawProgressBar(&ProgressBar2);
}
void Button16OnPress() {
 greenColor = 0x8C;
 ProgressBar2.Position = 40;
 strcpy(ProgressBar2_Caption,"40\%");
 DrawProgressBar(&ProgressBar2);
}
void Button17OnPress() {
 greenColor = 0x8F;
 ProgressBar2.Position = 50;
 strcpy(ProgressBar2_Caption,"50\%");
 DrawProgressBar(&ProgressBar2);
}
void Button18OnPress() {
 greenColor = 0x92;
 ProgressBar2.Position = 60;
 strcpy(ProgressBar2_Caption,"60\%");
 DrawProgressBar(&ProgressBar2);
}
void Button19OnPress() {
 greenColor = 0x95;
 ProgressBar2.Position = 70;
 strcpy(ProgressBar2_Caption,"70\%");
 DrawProgressBar(&ProgressBar2);
}
void Button20OnPress() {
 greenColor = 0x99;
 ProgressBar2.Position = 80;
 strcpy(ProgressBar2_Caption,"80\%");
 DrawProgressBar(&ProgressBar2);
}
void Button21OnPress() {
 greenColor = 0x9C;
 ProgressBar2.Position = 90;
 strcpy(ProgressBar2_Caption,"90\%");
 DrawProgressBar(&ProgressBar2);
}
void Button22OnPress() {
 greenColor = 0x9F;
 ProgressBar2.Position = 100;
 strcpy(ProgressBar2_Caption,"100\%");
 DrawProgressBar(&ProgressBar2);
}
void Button23OnPress() {
 redColor = 0x60;
 ProgressBar3.Position = 0;
 strcpy(ProgressBar3_Caption,"00\%");
 DrawProgressBar(&ProgressBar3);
}
void Button24OnPress() {
 redColor = 0x63;
 ProgressBar3.Position = 10;
 strcpy(ProgressBar3_Caption,"10\%");
 DrawProgressBar(&ProgressBar3);
}
void Button25OnPress() {
 redColor = 0x66;
 ProgressBar3.Position = 20;
 strcpy(ProgressBar3_Caption,"20\%");
 DrawProgressBar(&ProgressBar3);
}
void Button26OnPress() {
 redColor = 0x69;
 ProgressBar3.Position = 30;
 strcpy(ProgressBar3_Caption,"30\%");
 DrawProgressBar(&ProgressBar3);
}
void Button27OnPress() {
 redColor = 0x6C;
 ProgressBar3.Position = 40;
 strcpy(ProgressBar3_Caption,"40\%");
 DrawProgressBar(&ProgressBar3);
}
void Button28OnPress() {
 redColor = 0x6F;
 ProgressBar3.Position = 50;
 strcpy(ProgressBar3_Caption,"50\%");
 DrawProgressBar(&ProgressBar3);
}
void Button29OnPress() {
 redColor = 0x72;
 ProgressBar3.Position = 60;
 strcpy(ProgressBar3_Caption,"60\%");
 DrawProgressBar(&ProgressBar3);
}
void Button30OnPress() {
 redColor = 0x75;
 ProgressBar3.Position = 70;
 strcpy(ProgressBar3_Caption,"70\%");
 DrawProgressBar(&ProgressBar3);
}
void Button31OnPress() {
 redColor = 0x79;
 ProgressBar3.Position = 80;
 strcpy(ProgressBar3_Caption,"80\%");
 DrawProgressBar(&ProgressBar3);
}
void Button32OnPress() {
 redColor = 0x7C;
 ProgressBar3.Position = 90;
 strcpy(ProgressBar3_Caption,"90\%");
 DrawProgressBar(&ProgressBar3);
}
void Button33OnPress() {
 redColor = 0x7F;
 ProgressBar3.Position = 100;
 strcpy(ProgressBar3_Caption,"100\%");
 DrawProgressBar(&ProgressBar3);
}
